# Class JwtPrivateKeyClientCredentials

java.lang.Object
com.databricks.jdbc.auth.JwtPrivateKeyClientCredentials

All Implemented Interfaces:
  `com.databricks.sdk.core.oauth.TokenSource`

public class JwtPrivateKeyClientCredentials extends Object implements com.databricks.sdk.core.oauth.TokenSource
An implementation of RefreshableTokenSource implementing the JWT client_credentials OAuth grant type.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`JwtPrivateKeyClientCredentials.Builder`

## Method Summary

Modifier and Type
Method
Description
`com.databricks.sdk.core.oauth.Token`
`getToken()`
`protected static com.databricks.sdk.core.oauth.Token`
`retrieveToken(IDatabricksHttpClient hc, String tokenUrl, Map<String,String> params, Map<String,String> headers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getToken

public com.databricks.sdk.core.oauth.Token getToken()

Specified by:
  `getToken` in interface `com.databricks.sdk.core.oauth.TokenSource`

### retrieveToken

protected static com.databricks.sdk.core.oauth.Token retrieveToken(IDatabricksHttpClient hc, String tokenUrl, Map<String,String> params, Map<String,String> headers)